-- 基础信息
base_info = {
	group_id = 247002016
}

-- DEFS_MISCS
local GroupId = 247002016
local point_id_list = {}
local MainGroupID = 247002001
local RegionID = 16001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 16001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 240.010, y = 0.050, z = 239.997 } }
}

-- 触发器
triggers = {
	{ config_id = 1016001, name = "ENTER_REGION_16001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 16002, pos = { x = 236.075, y = 0.107, z = 247.664 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 16003, pos = { x = 244.160, y = 0.105, z = 247.611 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 16004, pos = { x = 240.055, y = 0.101, z = 248.555 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 16005, pos = { x = 232.898, y = 0.121, z = 246.449 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 16006, pos = { x = 247.119, y = 0.115, z = 246.008 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 16007, pos = { x = 231.679, y = 0.105, z = 243.727 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 16008, pos = { x = 248.787, y = 0.110, z = 243.743 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 16009, pos = { x = 231.427, y = 0.100, z = 240.022 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 16010, pos = { x = 248.888, y = 0.108, z = 240.038 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 16011, pos = { x = 240.089, y = 0.115, z = 248.095 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 16012, pos = { x = 234.304, y = 0.126, z = 247.162 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 16013, pos = { x = 245.780, y = 0.100, z = 247.128 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 16014, pos = { x = 231.360, y = 0.108, z = 242.483 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 16015, pos = { x = 248.911, y = 0.106, z = 242.488 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 16016, pos = { x = 231.374, y = 0.102, z = 237.599 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 16017, pos = { x = 248.817, y = 0.101, z = 237.654 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 16018, pos = { x = 234.352, y = 0.100, z = 232.931 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 16019, pos = { x = 245.710, y = 0.100, z = 232.846 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 16020, pos = { x = 239.991, y = 0.100, z = 232.052 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 16021, pos = { x = 232.875, y = 0.142, z = 247.179 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 16022, pos = { x = 247.155, y = 0.117, z = 247.182 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 16023, pos = { x = 232.877, y = 0.100, z = 232.828 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 16024, pos = { x = 247.078, y = 0.100, z = 232.906 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 16025, pos = { x = 240.180, y = 0.117, z = 247.427 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 16026, pos = { x = 239.982, y = 0.100, z = 232.670 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 16027, pos = { x = 231.900, y = 0.101, z = 240.000 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 16028, pos = { x = 248.276, y = 0.103, z = 239.966 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 16029, pos = { x = 232.006, y = 0.102, z = 235.936 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 16030, pos = { x = 247.973, y = 0.109, z = 243.375 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 16031, pos = { x = 243.413, y = 0.100, z = 232.352 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 16032, pos = { x = 236.161, y = 0.126, z = 247.275 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 16033, pos = { x = 235.161, y = 0.053, z = 239.928 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 16001 },
		triggers = { "ENTER_REGION_16001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
